## coco-cs 20050504-1

=== debian/changelog ===
coco-cs (20050504-1) unstable; urgency=low

  * New Upstream release
  * Small bug in DFA fixed (EOF was not recognized correctly if ANY was used).
  * Coco/R as well as the generated compilers are reentrant now.
    That means that all fields and methods are non-static.
    Please look at the user manual to see how to create and
    initialize a scanner and a parser object in your compiler.
  * In addition to bracket comments (/* ... */), ATG files can also contain
    end of line comments now (// ... cr lf)
  * Corrected some package troubles.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Tue, 04 May 2005 16:00:00 +0100

coco-cs (20050316-2) unstable; urgency=low

  * debian/control: For Depends, mono-mcs
  * debian/control: For Build-Depends, unzip, mono-mcs (Closes: #302440)

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Fri, 01 Apr 2005 11:00:00 +0100

coco-cs (20050316-1) unstable; urgency=low

  * Scanners can read arbitrariliy large files now (needed for parsing 
    log files with several hundred megabytes).
  * Generated scanners are substantially faster than before (about 30%).

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Fri, 18 Mar 2005 13:00:00 +0100

coco-cs (20050111-1) unstable; urgency=low

  * First upload to Debian unstable.
    Sponsor: Rene Mayrhofer <rmayr@debian.org>
  * Renamed package to coco-cs.
  * Lexical structures like '(' {char} ')' resulted in an endless loop in the
    scanner if char was defined as ANY - ')' and if the terminating ')' was
    missing in the input stream of the generated compiler.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Tue, 11 Jan 2005 17:40:00 +0100

cocosorucescs (2004.10.27-2) unstable; urgency=low

  * Minor bug fixes in package.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at> Wed, 27 Oct 2004 18:40:00 +0100

cocosorucescs (2004.10.27-1) unstable; urgency=low

  * If an expression in curly braces or square brackets is deletable
    (as in [[x]]) a new LL(1) warning is printed: contents of [...]
    or {...}  must not be deletable.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at> Wed, 27 Oct 2004 17:15:00 +0100

cocosorucescs (2004.10.11-1) unstable; urgency=low

  * Blanks are specified as white spaces in the scanner frame now,
    so one can delete this if one doesn't want to ignore blanks.
    (Caution! Use the latest Coco.exe only with the latest Scanner.frame!)

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at> Tue, 11 Oct 2004 09:06:00 +0100

cocosorucescs (2004.06.28-3) unstable; urgency=low

  * Bug fix in ParserGen.cs and DFA.cs: Path seperator changed from "\\" to
    Path.DirectorySeperatorChar

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at> Tue, 24 Aug 2004 12:15:00 +0100

cocosorucescs (2004.06.28-2) unstable; urgency=low

  * Bug fix in Coco.atg: invalid TokenFactor and Terms caused Coco to crash.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at> Tue, 27 Jul 2004 09:00:00 +0100

cocosourcescs (2004.06.28-1) unstable; urgency=low

  * New upstream release
  * Generation of case-insensitive compilers changed
    - keyword IGNORECASE instead of IGNORE CASE.
    - case is also ignored in tokens and character sets now.
    - User manual changed
  * The scanner uses '\u0100' instead of '\u0' as an end of file (eof)
    character now. This allowes \0 to be used in tokens (useful for parsing
    binary files).
  * Bug fix in the detection of tokens that cannot be distinguished.
  * Various cleanups.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Tue,  06 Jul 2004 16:00:00 +0100

cocosourcescs (2004.04.14-1) unstable; urgency=low
 
  * Method Tab.IgnoreCase added
  * The frames directory is not specified by the environment variable CRFRAMES
    any more but can be specified with the command line option -frames
  * Bug fix in Coco.cs (incorrect handling of command line arguments)
  * Fatal errors abort with System.Environment.Exit(1)
    instead of System.Environment.Exit(0) now

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Fri,  16 Apr 2004 13:00:00 +0100

cocosourcescs (2004.04.06-4) unstable; urgency=low

  * corrected changelog  
  * directory names to lower case

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Tue,  13 Apr 2004 09:54:00 +0100

cocosourcescs (2004.04.06-3) unstable; urgency=low

  * Minor change: Error message changed form obsolete to misplaced resolver  

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Wed,  07 Apr 2004 19:00:00 +0100

cocosourcescs (2004.04.06-2) unstable; urgency=low

  * Documentation separated to cocosourcesdoc 

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Wed,  07 Apr 2004 19:00:00 +0100

cocosourcescs (2004.04.06-1) unstable; urgency=low

  * Resolvers have sometimes to be ignored in the computation of symbol sets
    and sometimes not. The way how it was done sofar has subtle errors.
    Changes in Tab.cs:
      - field ignoreRslvs removed
      - method Expected0 added
      - method Expected0 called twice in CheckAlts and once in CheckRes
      - CheckRes: computation of all start symbols of 
        an alternative chain modified
  * UserManual.pdf updated
  * Package name changed to lower case

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Thu,  06 Apr 2004 11:03:00 +0100

CocoSourcesCS (2004.04.01-2) unstable; urgency=low

  * Environment variable crframes changed to CRFRAMES

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Thu,  06 Apr 2004 11:03:00 +0100

CocoSourcesCS (2004.04.01-1) unstable; urgency=low

  * Characters in range 128..255 are handled correctly now. So far they were
    translated to '?'.
  * Corrected some directory names.
  * Package renamed to CocoSourcesCS, the 's' was missing.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Thu,  01 Apr 2004 08:03:00 +0100

CocoSourceCS (2004.01.07-1) unstable; urgency=low

  * New upstream release

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Thu,  12 Feb 2004 16:49:40 +0100
