## coco-cs 20051117-1

=== debian/changelog ===
coco-cs (20051117-1) unstable; urgency=low

  * The if else if cascade of an alternative does not get optimized to a
    switch statement anymore if the alternative contains a LL(1) warning,
    thus coco generates at least compileable code in such a situation.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Thu, 17 Nov 2005 17:00:00 +0100

coco-cs (20050926-1) unstable; urgency=low

  * Constant declarations are generated for pragma names in the parser now
    (in case you want to access those names in semantic actions).

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Mon, 27 Sep 2005 19:23:00 +0100

coco-cs (20050919-1) unstable; urgency=low

  * Bug fixed in Tab.cs. Coco reported a misplaced resolver if 2 alternatives
    at the end of a production were deletable and a resolver was placed
    in front of the first one.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Mon, 19 Sep 2005 15:00:00 +0100
