## coco-cs 20060919-2

=== debian/changelog ===
coco-cs (20060919-2) unstable; urgency=low

  * Update to Debian Policy Standards Version 3.7.2
  * Set MONO_SHARED_DIR to temporary directory to enable the build
    servers to build the package (Closes: #393811).

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Wed, 18 Oct 2006 18:00:00 +0100

coco-cs (20060919-1) unstable; urgency=low

  * Misplaced resolvers cause warnings instead of errros now.
  * The scanners generated by Coco/R can now also process Unicode characters
    in UTF-8 format. This implies that Coco/R itself supports UTF-8 now.
  * Attributes may now also contain the characters '<' and '>'
    (e.g. for operators or generic types). Such attributes must be
    enclosed in <. and .> brackets.
  * Error messages are written to an error stream instead of to the console.
    The error stream can be changed by the user.
  * The scanner now also recognizes the Unicode byte order mark for UTF-8.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Tue, 19 Sep 2006 16:00:00 +0100
