=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: Loeberbauer Markus <loeberbauer@ssw.jku.at>
-Standards-Version: 3.6.1
-Build-Depends: debhelper (>= 4.0.0), unzip, mono-mcs
+Standards-Version: 3.7.2
+Build-Depends: debhelper (>= 4.0.0), unzip, mono-gmcs
 
 Package: coco-cs
 Architecture: all
-Depends: mono, mono-mcs
+Depends: mono, mono-gmcs
 Description: Coco/R Compiler Generator (C-Sharp Version)
  Coco/R is a compiler generator, which takes an attributed grammar of a source
  language and generates a scanner and a parser for this language. The scanner
