=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 
 
 BUILD_DIR = $(CURDIR)/debian/tmp-build/
+export MONO_SHARED_DIR = $(CURDIR)/debian/mono/
 CFLAGS = -Wall -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
@@ -39,8 +40,10 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	( cd $(BUILD_DIR); \
-	  ./build.sh )
+	( mkdir $(MONO_SHARED_DIR); \
+	  cd $(BUILD_DIR); \
+	  ./build.sh; \
+	  rm -rf $(MONO_SHARED_DIR) )
 
 	touch build-stamp
