## coco-cs 20070906-3

=== debian/changelog ===
coco-cs (20070906-3) unstable; urgency=low

  * Depend on mono-gmcs instead of mono (Closes: #457790).

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Thu, 27 Dec 2007 15:00:00 +0100

coco-cs (20070906-2) unstable; urgency=low

  * Minor Bugfix: Allow buffer position to be set to the end of the file,
    this allows grammars without trailing new-line.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Thu, 10 Sep 2007 15:00:00 +0100

coco-cs (20070906-1) unstable; urgency=low

  * The main method returns 1 if the grammar contained an error.
  * The possibility to set the output path with command line option "-o".
  * Enhanced support for input streams: Previously we did support seek-able
    streams with fixed size (e.g. files), but not non seek-able streams (e.g.
    network). Now we support both stream types. Please note since our memory
    buffer keeps the entire history of a non seek-able stream, the maximum
    supported stream size is limited by the available memory and the runtime
    environment.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Thu, 06 Sep 2007 14:45:00 +0100

coco-cs (20061206-1) unstable; urgency=low

  * The declaration of standard whitespaces (namely space) is again done in
    the file Scanner.frame.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Wed, 06 Dec 2006 14:45:00 +0100

coco-cs (20060919-3) unstable; urgency=low

  * Added binary-arch target in debian/rules (Closes: #395585).
  * It's now a non native package.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Fri, 10 Nov 2006 11:39:00 +0100
