=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Loeberbauer Markus <loeberbauer@ssw.jku.at>
 Standards-Version: 3.7.2
-Build-Depends: debhelper (>= 4.0.0), unzip, mono-gmcs
+Build-Depends: debhelper (>= 5), mono-gmcs
 
 Package: coco-cs
 Architecture: all
-Depends: mono, mono-gmcs
+Depends: mono-gmcs
 Description: Coco/R Compiler Generator (C-Sharp Version)
  Coco/R is a compiler generator, which takes an attributed grammar of a source
  language and generates a scanner and a parser for this language. The scanner
