## coco-cs 20110419

=== debian/changelog ===
coco-cs (20110419-6) unstable; urgency=medium

  * QA upload.
  * Convert to 3.0 source format. (Closes: #1007636)
  * Update debhelper-compat to level 10.

 -- Bastian Germann <bage@debian.org>  Sun, 06 Aug 2023 14:47:39 +0200

coco-cs (20110419-5.2) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 08 Jan 2021 14:10:45 +0100

coco-cs (20110419-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild for CLR 4.5 transition (Closes: #804660)

 -- Jo Shields <directhex@apebox.org>  Wed, 18 Nov 2015 12:32:33 +0000

coco-cs (20110419-5) unstable; urgency=low

  * Switched to CLR 4.0 (Closes: #656690)

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Sat, 21 Jan 2012 17:58:30 +0100

coco-cs (20110419-4) unstable; urgency=low

  * fixed startup shell script

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Mon, 07 Nov 2011 11:12:02 +0100

coco-cs (20110419-3) unstable; urgency=low

  * List library dependencies (Closes: #631840)
  * Switched to dmcs (Closes: #627527) 

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Thu, 30 Jun 2011 07:55:00 +0200

coco-cs (20110419-2) unstable; urgency=low

  * Using default csharp compiler for debian mono-csc instead
    of gmcs (Closes: #627527) 

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Wed, 25 May 2011 10:18:00 +0200

coco-cs (20110419-1) unstable; urgency=low

  * New upstream release
  * Frame files provided as command line argument take now precedence
    over frame files in the source directory of the attributed grammar.
  * The namespace can be set as a directive in the attributed
    grammar: $namespace=NamespaceName
    if the namespace is set in the attributed grammar and on the command
    line, the command line argument takes precedence.
  * New option checkEOF: With the option checkEOF the user can specify
    whether the generated parser should check if the entire input has been
    consumed after parsing, i.e., if the token after the start symbol of
    the grammar is an end-of-file token. The user can enable or disable
    this check by the following directive in the attributed grammar:
    $checkEOF=true // enable the end of file check (default)
    $checkEOF=false // disable the end of file check
  * Support for UTF-8 input: The token stores the character position
    in Token.charPos.
  * Support for copyright sections in the generated files. If a
    file named Copyright.frame is provided, it will be included at
    the top of the generated scanner and parser.
  * Cleanup, removed the marker $$$ from the end of the frame files.
  * Minor Change: Unreachable nonterminals trigger warnings (have been
    errors), as it is in the Java version.
  * More robust scanner generation.
  * More robust UTF-8 handling in ParserGen.CopySourcePart and
    Scanner.GetString.
  * Simplified Coco.atg (using statements handled by ANY).
  * Minor change: Code cleanup.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Tue, 19 Apr 2011 15:52:02 +0200

coco-cs (20090327-1) unstable; urgency=low

  * New upstream release
  * Support for pragmas which are part of terminal classes (thanks
    to Serge Voloshenyuk)
  * Minor change: Code cleanup.
  * Adaptions to mono repackaging (Closes: #521909)

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Thu, 02 Apr 2009 10:00:00 +0100

coco-cs (20081108-1) unstable; urgency=low

  * New upstream release
  * Bugfix: bug in DFA.NumberNodes (introduced in 20081001).
  * Minor change: Code cleanup.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Mon, 10 Oct 2008 07:45:00 +0100

coco-cs (20081001-2) unstable; urgency=low

  * More robust clean target in make file.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Sat, 04 Oct 2008 10:00:00 +0100

coco-cs (20081001-1) unstable; urgency=low

  * New upstream release
  * Bugfix: bug in the construction of the scanner automaton fixed.
  * Minor change: More robust Peek method is Scanner.
  * Minor change: Allow underscores (_) in identifiers.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Tue, 23 Sep 2008 21:20:00 +0100
