=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,11 @@
 	# Add here commands to configure the package.
 	touch configure-stamp
 
-build: build-stamp
+build: build-arch build-indep
+
+build-arch: build-stamp
+
+build-indep: build-stamp
 
 build-stamp: configure-stamp 
 	dh_testdir
@@ -37,14 +41,14 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	$(MAKE) clean
 
 	dh_clean 
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/coco-cs.
@@ -53,10 +57,6 @@
 
 # Build architecture-independent files here.
 binary-indep: build install
-# We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: build install
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs 
@@ -78,13 +78,48 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
+	dh_clifixperms
 #	dh_perl
 #	dh_makeshlibs
+	dh_clistrip
+	dh_clideps
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
 
+
+# Build architecture-dependent files here.
+#binary-arch: build install
+#	dh_testdir
+#	dh_testroot
+#	dh_installchangelogs 
+#	dh_installdocs
+#	dh_installexamples
+#	dh_install
+#	dh_installmenu
+#	dh_installdebconf	
+#	dh_installlogrotate
+#	dh_installemacsen
+#	dh_installpam
+#	dh_installmime
+#	dh_python
+#	dh_installinit
+#	dh_installcron
+#	dh_installinfo
+#	dh_installman debian/cococs.1
+#	dh_link
+#	dh_strip
+#	dh_compress
+#	dh_fixperms
+#	dh_perl
+#	dh_makeshlibs
+#	dh_installdeb
+#	dh_shlibdeps
+#	dh_gencontrol
+#	dh_md5sums
+#	dh_builddeb
+
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure
